com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenProfileDescriptor

- All Superinterfaces:
    BaseProfileDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, MavenDescriptor

      @Label(value="Profile")
      public interface MavenProfileDescriptor
      extends MavenDescriptor, BaseProfileDescriptor

  Descriptor for a maven profile.
  Author:
    ronald.kunzmann@buschmais.com

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MavenProfileActivationDescriptor` | `getActivation()` Get information about conditions to activate the profile.
    `List<ProfileDependsOnDescriptor>` | `getDependencies()`
    `String` | `getId()`
    `List<ProfileManagesDependencyDescriptor>` | `getManagedDependencies()` Get default dependency information for projects that inherit from this one.
    `void` | `setActivation(MavenProfileActivationDescriptor activation)`
    `void` | `setId(String id)`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.maven3.api.model.BaseProfileDescriptor

      `getManagedPlugins, getModules, getPlugins, getProperties`

- - ### Method Detail

    - #### getId

          @Property(value="id")
          String getId()

    - #### setId

          void setId(String id)

    - #### getManagedDependencies

          List<ProfileManagesDependencyDescriptor> getManagedDependencies()

      Get default dependency information for projects that inherit from this one. The dependencies in this section are not immediately resolved. Instead, when a POM derived from this one declares a dependency described by a matching groupId and artifactId, the version and other values from this section are used for that dependency if they were not already specified.
      Returns:
        The managed dependencies.

    - #### getDependencies

          List<ProfileDependsOnDescriptor> getDependencies()

    - #### getActivation

          @Relation(value="HAS_ACTIVATION")
          MavenProfileActivationDescriptor getActivation()

      Get information about conditions to activate the profile.
      Returns:
        The activation information.

    - #### setActivation

          void setActivation(MavenProfileActivationDescriptor activation)

Copyright © 2015 buschmais GbR. All rights reserved.